Bug 29588 - Broken graphics in progress bar on UMC server restart after an app installation
Broken graphics in progress bar on UMC server restart after an app installation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.1
Other Linux
: P4 minor (vote)
: UCS 3.2-0-errata
Assigned To: Alexander Kläser
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 11:02 CET by Alexander Kläser
Modified: 2013-12-18 14:31 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design, Usability
Max CVSS v3 score:
klaeser: Patch_Available+


Attachments
Screenshot App-Center Progressbar (12.99 KB, image/png)
2012-12-06 11:08 CET, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2012-12-06 11:02:51 CET
Wird eine App installiert, so wird nach der Installation ein Neustart von UMC empfohlen. Da zu diesem Zeitpunkt bereits ein neuer Hash für das JS-Verzeichnis erzeugt wurde, wird die Ladebalken-Grafik nicht angezeigt. Nicht schlimm, aber auch nicht schön.
Comment 1 Alexander Kläser univentionstaff 2012-12-06 11:08:28 CET
Created attachment 4868 [details]
Screenshot App-Center Progressbar
Comment 2 Alexander Kläser univentionstaff 2012-12-06 11:25:28 CET
Ein ähnliches Problem ist mit dem Haken-Icon für installierte Apps, das wird dann ohne Reload nicht angezeigt, wenn die erste App installiert wurde.
Comment 3 Florian Best univentionstaff 2012-12-10 08:18:35 CET
Außerdem der confirm-Button, des browser-reload-Dialog. Dieser hat kein Hintergrundbild.
Comment 4 Dirk Wiesenthal univentionstaff 2013-02-28 20:47:09 CET
Man müsste irgendwo Resourcen definieren können, die nicht erst auf Abruf geladen werden, sondern sofort nach dem Laden aller Module.
Comment 5 Alexander Kläser univentionstaff 2013-03-04 13:56:52 CET
(In reply to comment #4)
> Man müsste irgendwo Resourcen definieren können, die nicht erst auf Abruf
> geladen werden, sondern sofort nach dem Laden aller Module.

Könnte man indem man sie explizit schon als Grafiken am Anfang einbindet… wäre wohl nur etwas unschön als Lösung.
Comment 6 Alexander Kläser univentionstaff 2013-11-07 16:52:35 CET
Another possibility would be to return the files along with a 301 (Moved Permanently) status code. Graphics could be accessed, yet the frontend would be able to detect that a change has taken place.
Comment 7 Alexander Kläser univentionstaff 2013-11-22 12:02:01 CET
(In reply to Alexander Kläser from comment #6)
> Another possibility would be to return the files along with a 301 (Moved
> Permanently) status code. Graphics could be accessed, yet the frontend would
> be able to detect that a change has taken place.

Yep, works with the following additional lines in the apache config file:

RewriteCond %{REQUEST_URI} ^/(univention-management-console/js_[^/]*)/.*
RewriteCond %{DOCUMENT_ROOT}/%1 !-f
RewriteCond %{DOCUMENT_ROOT}/%1 !-d
RewriteCond %{REQUEST_METHOD} ^GET
RewriteRule ^(/univention-management-console/js)_[^/]*/(.*) $1/$2 [R=301]

No other changes necessary, as the HEAD request in UMC will still receive a 404 error. However, all GET requests are redirected.
Comment 8 Alexander Kläser univentionstaff 2013-11-22 12:56:43 CET
Package built, added YAML file 2013-11-22-univention-management-console-frontend.yaml.

 univention-management-console-frontend (3.0.152-2) unstable; urgency=low
 .
   * Bug #29588: added redirect rule for requests to outdated JS/graphics files
Comment 9 Dirk Wiesenthal univentionstaff 2013-12-09 13:41:44 CET
Works, YAML okay
Comment 10 Moritz Muehlenhoff univentionstaff 2013-12-12 11:31:20 CET
http://errata.univention.de/ucs/3.2/10.html